/*
 *  Copyright (C) 2002-2003  Massachusetts Institute of Technology
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as
 *  published by the Free Software Foundation; either version 2, or (at
 *  your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 *  USA
 */

#ifndef PASTWATCH_UPDATE_H
#define PASTWATCH_UPDATE_H

#include "pastwatch.h"

typedef vec<pde_t> pdev_t;

class update_object_spec {
public:
  pdev_t to_commit;
  pdev_t to_remove;
  pdev_t to_add;

  static ptr<update_object_spec> alloc 
    (bigint root, str path, cbi cb, bool checkonly, bool updatedir);
};

#endif

