#!/usr/bin/perl -w

my $dir = "thomer-$$";
my $x = "x-$$";

mkdir("${dir}", 0755) or die "mkdir ${dir}";
(system("touch ${dir}/${x}") == 0) or die "touch ${dir}/${x}";
rename("${dir}/${x}", "${x}") or die "rename ${dir}/${x} ${x}";
rename("${x}", "${dir}/${x}") or die "rename ${x} ${dir}/${x}";

done("$dir missing") if ! -d $dir;
done("${dir}/${x} missing") if ! -f "${dir}/${x}";
done("${x} exists") if -f $x;

done(undef); # OK

sub done {
    my($error) = @_;
    unlink("${dir}/${x}");
    rmdir($dir);
    if(defined($error)){
        print STDERR "test_1.pl: $error\n";
        exit(1);
    } else {
        exit(0);
    }
}
